import controlP5.*; //import ControlP5 library
import processing.serial.*;

Serial port;

ControlP5 cp5; //create ControlP5 object

void setup(){ //Same as setup in arduino
  
  size(500, 500);                          //Window size, (width, height)
  port = new Serial(this, "COM20", 9600);   //Change this to your port
  
  cp5 = new ControlP5(this);
  
  cp5.addButton("Button")  //The button
    .setPosition(150, 140)  //x and y coordinates of upper left corner of button
    .setSize(200, 150)      //(width, height)
  ;     

}

void draw(){  //Same as loop in arduino

  background(150, 0 , 0); //Background colour of window (r, g, b) or (0 to 255)
    
}

void Button(){
  
  port.write('t');
  
}
